Module: Year End

Description

Coding Year End

Note: After Coding done --> Test "Consider P&L" In Ledger Statement, Main Ledger Statement Report

History

#1 - 06/26/2023 05:27 PM - Anil KV

- Assignee changed from Junaid M to travvise Admin
#2 - 01/18/2024 04:04 PM - unnikannan S
Ul CHANGES

1.ADD TOTAL PROFIT,EXPENSE,NET PROFIT IN Ul
2.GRID GROUP BY (ACCOUNT CATEGORY) IN UI

#3 - 10/28/2024 10:16 AM - Junaid M

- Description updated

#4 - 11/27/2024 11:09 AM - Arathy PS
IMPORATANT TEST CASE

1. To do the test cases in 'ledger statement and merged ledger statement' the changes in this module has to implemented.
--Both in merged ledger statement and ledger statement to show data while using 'consider P&L' field.

#5 - 03/25/2025 01:23 PM - Anil KV

=>Validation Check

—->sin_posting_status= 0 or sin_transaction_status = 0 or sin_document_status = 0 the FY then ask Y/N, y then c
ontinue

=>Document Date is FY End Date

=>Transaction

-> SQL

SELECT MIN (pk_transaction_id) AS pk_transaction_id,
vhr_ledg_currency,
fk_branch_id,
fk_department_id,
fk_ledger_id,
fk_main_ledger_id,
SUM (dbl_ledg_cur_debit) AS dbl_ledg_cur_debit,
SUM (dbl_ledg_cur_credit) AS dbl_ledg_cur_credit,
SUM (dbl_base_cur_debit) AS dbl_base_cur_debit,
SUM (dbl_base_cur_credit) AS dbl_base_cur_credit,
SUM (dbl_cons_cur_debit) AS dbl_cons_cur_debit
SUM (db1l_cons_cur_credit) AS dbl_cons_cur_credit
FROM transaction.tbl_transaction tr
LEFT JOIN accounts.tbl_account ac
ON tr.fk_ledger_id = ac.pk_account_id
WHERE ac.sin_ac_category IN (3,4) AND dat_transaction BETWEEN <FY_START> AND FY
END>
AND tr.sin_is_pandl_records != 1
GROUP BY (fk_ledger_id,
fk_main_ledger_id,
vhr_ledg_currency,
fk_branch_id,
fk_department_id,
fk_ledger_id

-> ROE = dbl_ledg_cur_amount/dbl_base_cur_amount

—->Update mode -> Delete and Insert the transactins
—->sin_is_pandl_records = 1

vhr_sys_module_name = FINANCIAL_YEAR_END

—->vhr_sys_name = P&L

=>Reverse Posting Each Record

—->Deep Copy

—> not Swap the debit and Credit - new transaction

—> fk_ledger_id = P&L Mapping account (Not set then raise error)
-> fk_main_ledger_id = P&L Mapping account's main ledger

=>FY Status is 'Open Year End' then load the FY End document
=>Allowed only 'Normal' or 'Current' or 'Year End Open' FY
=>Year End FY Status set 'Year End'

=>if Current FY Year end then Add Next FY

—>If not in FY table then add new FY (Status => Current)

->If already added Next FY from GUI then current status is 'Normal' then Update to 'Current'
->Empty FY Cache

=>Remove the year all locking and Unlocking(Period and Document)
=>Imp -> Year End FY System wise Period Locking

=> keep log in financialyear.tbl_fy_actions (Check FY module)

#6 - 03/25/2025 03:01 PM - Anil KV
- Status changed from New to Ready for Coding
- % Done changed from 0 to 20

#7 - 04/01/2025 12:23 PM - Anil KV

- Assignee changed from travvise Admin to Shilpa Pavithran

#8 - 04/02/2025 01:00 PM - Theja Ponon
GUI changes

1)Add branch ,department at the end of grid and currency after account
2)In action list add new column date and time
3)Remove grouping

#9 - 04/28/2025 02:09 PM - Shilpa Pavithran
- Status changed from Ready for Coding to Coding Started
- % Done changed from 20 to 30
